#!/bin/bash

if [ -z "$1" -o ! -e "$1" ]; then
    echo "Wrong argument"
    return 1
fi

MYUUID=$(grep rootdevice=UUID= /cdrom/boot/extlinux.conf | sed -r 's,.* rootdevice=UUID=([^ ]+) .*,\1,')
if [ -z "$MYUUID" ]; then
    echo "No UUID"
    return 1
fi

MPOINT=$(mktemp -d)
mount $1 $MPOINT
if [ $? -ne 0 ]; then
    echo "Failed to mount the target"
    return 1
fi

echo "UUID=$MYUUID" > $MPOINT/lupdate.cfg
mkdir -p $MPOINT/.rw/etc/xdg/autostart/
cat > $MPOINT/.rw/etc/xdg/autostart/lupdate.desktop << EOF
[Desktop Entry]
Name=Linutop Upgrade
Icon=linutop-mini
Exec=gksudo lupdate
Type=Application
X-GNOME-Autostart-Delay=10
EOF

touch $MPOINT/.rw/etc/xdg/autostart/.wh.lconfeditor.desktop
chmod 444 $MPOINT/.rw/etc/xdg/autostart/.wh.lconfeditor.desktop

umount $MPOINT
rmdir $MPOINT

exit 0
